Skip to content

insertChangeNotice

WRITE

Insert change notice.

POST /api/v1/items/insertChangeNotice
curl -X POST '<your-host>/api/v1/items/insertChangeNotice' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "openDate": "string"
  }'
Response
{
  "id": "string",
  "changeNoticeId": "string"
}

Parameters

ParameterType
"Engineering""Manufacturing""Documentation"

Input schema

schema
{
  "type": "object",
  "properties": {
    "changeNoticeId": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "type": {
      "type": "string",
      "enum": [
        "Engineering",
        "Manufacturing",
        "Documentation"
      ]
    },
    "priority": {
      "type": "string"
    },
    "changeNoticeTypeId": {
      "type": "string"
    },
    "nonConformanceId": {
      "type": "string"
    },
    "openDate": {
      "type": "string"
    },
    "reasonForChange": {},
    "description": {},
    "dueDate": {
      "type": "string"
    },
    "assignee": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "name",
    "openDate"
  ]
}